Class | YARD::Templates::Section
In: | lib/yard/templates/section.rb
Parent: | Array

Abstracts the structure for a section and its subsections into an ordered list of sections and subsections. @since 0.6.0

### Methods

<< == [] any dup eql? inspect new place push to_a unshift

### Attributes

name | [RW] |

### Public Class methods

new(name, *args)

### Public Instance methods

<<(*args)

Alias for push

==(other)
[](*args)
any(item)
dup()
eql?(other)
inspect()
place(*args)
push(*args)
to_a()
unshift(*args)

[Validate]